=begin pod

=TITLE class X::Phaser::PrePost

    class X::Phaser::PrePost is Exception { }

Thrown when the condition inside a C<PRE> or C<POST> phaser evaluate to a
false value.

For example

    sub f($x) { PRE { $x ~~ Int } }
    f "foo";

Dies with 

    Precondition '{ $x ~~ Int }' failed

=head1 Methods

=head2 phaser

    method phaser() returns Str:D

Returns the name of the failed phaser, C<"PRE"> or C<"POST">.

=head2 condition

    method condition() returns Str:D

Returns the part of the source code that describes the phaser condition.

=end pod
